%define name	synce-kde
%define version 0.9.1
%define release	%mkrel 4

%define major 0
%define libname %mklibname %name %major

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	MIT
Summary: 	KDE-Integration of SynCE. Kio-slave and Tray-Icon
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:    	http://synce.sourceforge.net/synce/kde
Source: 	http://ovh.dl.sourceforge.net/sourceforge/synce/%name-%version.tar.bz2
Patch0:		synce-kde-0.9.1-cve.sh-too-old.patch
Patch1:		synce-kde-0.8.1.1-fix-build-missing-link.patch
Patch2:		synce-kde-rename-zh_CN-comment.patch
BuildRequires:	libsynce-devel
BuildRequires:	librapi-devel
BuildRequires:	librra-devel
BuildRequires:	kdebase-devel arts-devel
BuildRequires:	dynamite-devel orange-devel 
BuildRequires:	unshield-devel
BuildRequires:	desktop-file-utils
Requires: 	synce-vdccm >= 0.9.0
Requires: 	orange
Requires: 	unshield
Requires: 	dynamite
Conflicts:	%{name}-devel < 0.9.1-3

%description
SynCE-KDE is part of the SynCE project:
  http://synce.sourceforge.net/

This Package is a KDE-Integration of SynCE. It consists of a kio_slave
(RAPIP), a KDE System-Tray Application (RAKI) and an enhanced direct cable
connection manager (VDCCM).

RAPIP: Lets you transparently interact with your PockePC via konqueror.
RAKI:  Is a Linux-Incarnation of Activsync. It claims to be better than
       Activesync in future.

%package 	devel
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:	%name = %version-%release
Conflicts:	%name < 0.9.1-3

%description 	devel
This packaged contains all files necessary to create synchronizer plugins

%prep
%setup -q
%patch0 -p1 -b .cvs.sh-too-old
%patch1 -p1 -b .fix_link
%patch2 -p0 -b .zh_CN_comment

%build
make -f admin/Makefile.common 
%configure2_5x

#%make
make

%install
rm -fr %buildroot
%makeinstall_std

mkdir -p %buildroot%_datadir/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir=%buildroot%_datadir/applications/kde \
	--add-category='Qt;KDE;TelephonyTools;Utility' \
	%buildroot%{_datadir}/applnk/Utilities/raki.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/raki
%exclude %{_bindir}/vdccm
%{_datadir}/applications/kde/raki.desktop
%{_datadir}/apps/konqueror/servicemenus/cab_install.desktop
%{_datadir}/apps/raki
%{_datadir}/doc/HTML/*/raki
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/mimelnk/application/x-raki.desktop
%{_datadir}/services/rapip.protocol
%{_datadir}/servicetypes/rakisynchronizer.desktop
%{_libdir}/kde3/*

%files	devel
%defattr(-,root,root)
%{_includedir}/*


%changelog
* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-4mdv2008.0
+ Revision: 77979
- fix zh_CN comment of menu entry

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-3mdv2008.0
+ Revision: 77467
- fix menu entry location
- move kde3 stuff into main package

* Fri Jun 29 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.1-2mdv2008.0
+ Revision: 45703
- buildrequires for new synce
- patch for cvs.sh from KDE to work with newer auto****
- don't package own vdccm
- updated for newer synce


* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Thu Nov 17 2005 Nicolas CHIPAUX <chipaux@mandriva.com> 0.8.1.1-1mdk
- New version
- Fix x86_64 build

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- adapt spec from Nicolas Lcureuil <neoclust@zarb.org>

